System Requirements: iPhone or iPod Touch with iPhone OS 3.0 or higher

Supported Languages:

Arabic, Chinese, Croatian, Czech, Danish, Dutch, English, Finnish, French, German, Greek, Hebrew, Indonesian, Italian, Japanese, Norwegian, Polish, Portuguese, Romanian, Russian, Spanish, Swedish, Thai, Turkish, Ukranian

© 2008-2009 SANBREEZE GmbH - Multimedia Productions and Services. All rights reserved.

www.sanbreeze.com - developer@sanbreeze.com